import Component from '../component.js';
import SpanComponent from '../span.js';
import CoEuiButton from './eui-button.js';
import CoEuiIconSvg from './eui-icon-svg.js';

export default class CoEuiIconInput extends Component {
  constructor(parent) {
    let selector = 'eui-icon-input';
    super(parent, selector);
    // https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/eui-icon-input/eui-icon-input.component.html
  }
  get wrapperCO() {
    return new SpanComponent(this.currentPath).addPredicateClassContains('eui-icon-input-wrapper');
  }
  get contentCO() {
    return new SpanComponent(this.wrapperCO).addPredicateClassContains('eui-icon-input__content');
  }
  get inputCO() {
    return new SpanComponent(this.wrapperCO).addPredicateClassContains('eui-icon-input__icon');
  }
  get iconCO() {
    return new CoEuiIconSvg(this.inputCO);
  }
  get buttonCO() {
    return new CoEuiButton(this.inputCO);
  }
}